Bug 1482670 - Workers processing a miq_queue message that exceed the memory threshold aren't given enough time to exit gracefully
Summary: Workers processing a miq_queue message that exceed the memory threshold aren'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1481800
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-17 20:45 UTC by Satoe Imaishi
Modified: 2017-10-24 00:40 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1481800
Environment:
Last Closed: 2017-10-24 00:40:39 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-17 20:51:13 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/edce922e5e46a853f34e9e7aed5538df6adaa19d

commit edce922e5e46a853f34e9e7aed5538df6adaa19d
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Aug 17 09:43:02 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 17 16:48:15 2017 -0400

    Merge pull request #15529 from jrafanie/give_active_queue_worker_time_to_complete_message
    
    Give active queue worker time to complete message
    (cherry picked from commit 09d2aaec085ab1d58512a36ca1c68f5cc1e3da7c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1482670

 app/models/miq_worker.rb       |  2 +-
 lib/tasks/evm_application.rb   |  2 +-
 spec/models/miq_worker_spec.rb | 14 ++++++++++++++
 3 files changed, 16 insertions(+), 2 deletions(-)

Comment 3 Tasos Papaioannou 2017-09-22 16:31:59 UTC
Verified on 5.8.2.0.

Comment 5 errata-xmlrpc 2017-10-24 00:40:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.